package kimiko.japonais.app.data;


public class Mot extends Data {
	private static int ID = 0;
	private final String japonais;
	private final String kana;
	private final String romanization;
	private final String traduction;
	private final String type;
	
	
	public Mot(String japonais, String kana, String romanization, String traduction, String type) {
		super(ID++);
		this.japonais = japonais;
		this.kana = kana;
		this.romanization = romanization;
		this.traduction = traduction;
		this.type = type;
	}


	public String getJaponais() {
		return japonais;
	}


	public String getKana() {
		return kana;
	}


	public String getRomanization() {
		return romanization;
	}


	public String getTraduction() {
		return traduction;
	}


	public String getType() {
		return type;
	}


	@Override
	public String toString() {
		return "Mot [japonais=" + japonais + ", kana=" + kana
				+ ", romanization=" + romanization + ", traduction="
				+ traduction + ", type=" + type + "]";
	}
	
}
